package com.palacesun.masking.rule;

import com.palacesun.engine.gateway.EncryptionGatewayManager;
import com.palacesun.engine.gateway.netty.NettyStartApplicationRunner;

public class NettySyncer extends RuleSyncer {
   public void initialize() {
      try {
         this.run();
      } catch (Exception e) {
         e.printStackTrace();
      }

   }

   public void run() throws Exception {
      NettyStartApplicationRunner.InnerThread innerThread = new NettyStartApplicationRunner.InnerThread();
      innerThread.start();
   }

   public static Integer getNativeSocketHost() {
      try {
         return Integer.parseInt(EncryptionGatewayManager.getParameterValue("socketport"));
      } catch (Exception var1) {
         return 65534;
      }
   }
}
